package pfg.gca;

import java.util.Date;

/**
 * This class is currently just a place holder.  Analsys
 * of allocation failures is not supported in this early
 * release.
 */
public class AFRecord extends GCRecord
{
   protected long bytesNeeded;
   protected long lastOccurrence;
   protected long completionTime;
   
   public AFRecord(
      int gcIndex,
      int mark,
      int sweep,
      int compact,
      Date startTime,
      long bytesReclaimed,
      long bytesFree,
      long bytesAvailable,
      long bytesNeeded,
      long lastOccurrence,
      long completionTime)
   {
      super(
         gcIndex,
         mark,
         sweep,
         compact,
         startTime,
         bytesReclaimed,
         bytesFree,
         bytesAvailable);
      this.bytesNeeded    = bytesNeeded;
      this.lastOccurrence = lastOccurrence;
      this.completionTime = completionTime;
   }

   public AFRecord()
   {
   	super();
   }
   
   
   public long getBytesNeeded()
   {
      return bytesNeeded;
   }

   public long getCompletionTime()
   {
      return completionTime;
   }

   public long getLastOccurrence()
   {
      return lastOccurrence;
   }

}
